using Zurnal.domain.Models;
public interface IPresenceRepository
{
    void AddPresence(Presence presence);
    Presence GetPresenceById(int id);
    IEnumerable<Presence> GetAllPresences();
    void UpdatePresence(Presence presence);
    void DeletePresence(int id);
}